> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specifications

> Get list of specifications with pagination and filtering. See [Specifications](https://docs.galtea.ai/concepts/product/specification).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /specifications
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /specifications:
    get:
      tags:
        - specifications
      summary: Get specifications
      description: >-
        Get list of specifications with pagination and filtering. See
        [Specifications](https://docs.galtea.ai/concepts/product/specification).
      operationId: getSpecifications
      parameters:
        - name: ids
          in: query
          style: form
          explode: true
          description: Filter by specification IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: organizationIds
          in: query
          style: form
          explode: true
          description: Filter by organization IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: productIds
          in: query
          style: form
          explode: true
          description: Filter by product IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: types
          in: query
          style: form
          explode: true
          description: Filter by specification types (CAPABILITY, INABILITY, POLICY)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: testTypes
          in: query
          style: form
          explode: true
          description: Filter by test types
          required: false
          schema:
            type: array
            items:
              type: string
        - name: metricIds
          in: query
          style: form
          explode: true
          description: Filter by linked metric IDs
          required: false
          schema:
            type: array
            items:
              type: string
        - name: description
          in: query
          description: Filter by specification description (partial match)
          required: false
          schema:
            type: string
        - name: fromCreatedAt
          in: query
          description: Filter by creation date (from)
          required: false
          schema:
            type: string
            format: date-time
        - name: toCreatedAt
          in: query
          description: Filter by creation date (to)
          required: false
          schema:
            type: string
            format: date-time
        - name: sort
          in: query
          style: form
          explode: true
          description: Sort instructions (field and direction pairs)
          required: false
          schema:
            type: array
            items:
              type: string
        - name: limit
          in: query
          description: Maximum number of results
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: Number of results to skip
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: Specifications retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Specification'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Specification:
      type: object
      properties:
        id:
          type: string
          example: spec_123
        productId:
          type: string
          example: prod_123
        userId:
          type: string
          nullable: true
          example: user_123
        description:
          type: string
          example: Product must respond accurately to user queries
        type:
          type: string
          enum:
            - CAPABILITY
            - INABILITY
            - POLICY
          example: CAPABILITY
        testType:
          type: string
          nullable: true
          enum:
            - QUALITY
            - RED_TEAMING
            - SCENARIOS
          example: QUALITY
          description: >-
            Only applicable for POLICY specifications. Must be null for
            CAPABILITY and INABILITY.
        testVariant:
          type: string
          nullable: true
          example: rag
          description: >-
            Only applicable for POLICY specifications. QUALITY: rag,
            entity_extraction, summarization, classification, translation,
            correction, other. RED_TEAMING: data_leakage, financial_attacks,
            illegal_activities, misuse, toxicity, custom.
        useForTestAlignment:
          type: boolean
          example: true
        metricIds:
          type: array
          items:
            type: string
          example:
            - metric_123
        createdAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````